summaryrefslogtreecommitdiffstats
path: root/source/l/eigen3
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/eigen3')
-rwxr-xr-xsource/l/eigen3/eigen3.SlackBuild21
-rw-r--r--source/l/eigen3/slack-desc4
2 files changed, 17 insertions, 8 deletions
diff --git a/source/l/eigen3/eigen3.SlackBuild b/source/l/eigen3/eigen3.SlackBuild
index 54fa69975..d9d3a1c7a 100755
--- a/source/l/eigen3/eigen3.SlackBuild
+++ b/source/l/eigen3/eigen3.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2014, 2015 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2014, 2015, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# Copyright 2014 Eric Hameleers, Eindhoven, NL
# All rights reserved.
@@ -21,9 +21,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=eigen
-VERSION=3.2.7
-SRCVER="eigen-b30b87236a1b"
+VERSION=3.2.10
+SRCVER="eigen-b9cd8366d4e8"
BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
@@ -38,6 +40,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "${PKGNAM}3-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
@@ -55,7 +65,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -83,7 +92,7 @@ cd build
-DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_INSTALL_PREFIX=/usr \
-DEIGEN_INCLUDE_INSTALL_DIR=/usr/include/eigen3 \
- ..
+ .. || exit 1
make || exit 1
make install DESTDIR=$PKG || exit 1
cd ..
diff --git a/source/l/eigen3/slack-desc b/source/l/eigen3/slack-desc
index 8670031cf..49a865975 100644
--- a/source/l/eigen3/slack-desc
+++ b/source/l/eigen3/slack-desc
@@ -2,7 +2,7 @@
# The "handy ruler" below makes it easier to edit a package description.
# Line up the first '|' above the ':' following the base package name, and
# the '|' on the right side marks the last column you can put a character in.
-# You must make exactly 11 lines for the formatting to be correct. It's also
+# You must make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
@@ -11,9 +11,9 @@ eigen3:
eigen3: Eigen is a C++ template library for linear algebra: matrices, vectors,
eigen3: numerical solvers, and related algorithms.
eigen3:
+eigen3: Homepage: http://eigen.tuxfamily.org
eigen3:
eigen3:
eigen3:
eigen3:
-eigen3: Homepage: http://eigen.tuxfamily.org
eigen3: